import { ToolbarActionToggle } from '../../toolbar';
import { Resource } from './resource';
export declare class ResourceToolbarItem extends ToolbarActionToggle {
    get resourceManager(): import('..').ResourceManager | undefined;
    get enabled(): boolean;
    protected init(): void;
    open(): void;
    close(): void;
    protected item(items: Resource[]): HTMLUListElement;
    protected parseExtension(path: string): "audio" | "image" | "video" | "txt" | "pdf" | "doc" | "xls" | "ppt" | "zip" | undefined;
}
